Bug 68151 - High security blocks access to internet
High security blocks access to internet
Status: CLOSED DUPLICATE of bug 68368
Product: Red Hat Public Beta
Classification: Retired
Component: gnome-lokkit (Show other bugs)
limbo
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Ben Levenson
:
: 67575 (view as bug list)
Depends On:
Blocks: 67217
  Show dependency treegraph
 
Reported: 2002-07-06 21:00 EDT by Jim Hall
Modified: 2014-03-16 22:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-08 13:41:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Hall 2002-07-06 21:00:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020625

Description of problem:
I set my system to "High" security during install.  Even though I had defined my
other local (home) network hosts in my /etc/hosts file, I could only talk to my
other box using its IP address.  I also couldn't ping anything on the internet
through my residential gateway.

This only happens when security is set to High.  Setting the security to
"Medium" or turning off the firewall means I have access to everything.

Version-Release number of selected component (if applicable): lokkit-0.50-14



How reproducible:
Always

Steps to Reproduce:
In RH7x, lokkit used ipchains when you set up your personal firewall.  iptables
was available for you, but lokkit wrote ipchains rules.  And when I set up my
RH7.3 system before, I set it to "High" security, so that only DHCP and DNS
replies would reach my machine.  And I could still browse the internet.

When I installed the Public Beta today, I again set my system to "High" security.

Actual Results:    Even though I had defined my other local home machines in my
/etc/hosts file, I could only talk to the other local boxes using its IP
address.  Could ping them by name, but could not ssh to them.  I couldn't ping
or browse anything on the internet.

I turned off the firewall, and I could ssh to my other local machines by name
and also browse the web.  Turning back on iptables & setting the security back
down to "Medium" kept everything working.


Expected Results:  Should have been able to browse the web and ssh to my other
local boxes with security set to "high".

Additional info:

Maybe this is intentional or maybe not.  But it's different behavior than RH7.3,
so I'll report it as a bug.
Comment 1 Jay Turner 2002-07-08 13:41:38 EDT
*** Bug 67575 has been marked as a duplicate of this bug. ***
Comment 2 Bill Nottingham 2002-07-17 01:00:21 EDT

*** This bug has been marked as a duplicate of 68368 ***
Comment 3 Michael Fulbright 2002-12-20 12:38:25 EST
Time tracking values updated

Note You need to log in before you can comment on or make changes to this bug.